#!/bin/bash

PUBSPEC_PATH="./pubspec.yaml";
CHANGELOG_PATH="./CHANGELOG.md";


get_pubspec_version() {
PUBSPEC_VERSION=$(cat $PUBSPEC_PATH | grep -o 'version:[^:]*' | cut -f2 -d":" | xargs)

if [ -n "$PUBSPEC_VERSION" ]
  then
    echo "Pubspec version: $PUBSPEC_VERSION";
  else
    echo "Pubspec version не найдена"
    exit 1
fi
}

get_changelog_version() {
CHANGELOG_VERSION=$(cat $CHANGELOG_PATH | grep -o '## [^:]*' -m '1' | cut -c '4-20' | xargs)

if [ -n "$CHANGELOG_VERSION" ]
  then
    echo "Changelog version: $CHANGELOG_VERSION";
  else
    echo "Changelog version не найдена"
    exit 1
fi
}

compare_versions() {
if [ "$PUBSPEC_VERSION" != "$CHANGELOG_VERSION" ]
  then
    echo "Версии не совпадают"
    exit 1
  else
    echo "Версии совпадают"
fi
}

get_pubspec_version
get_changelog_version
compare_versions